API ReferenceDecision APIPolicy
Get policy decision
AuthorizationBearer <token>
In: header
Scope: agp.decision.read, agp.decision.write
Path Parameters
policyDecisionId*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/agp/policy-decisions/string"{ "type": "PolicyDecision", "policy_decision_id": "string", "decision_ref": "string", "result": "allow", "matched_rules": [ "string" ], "obligations": [ "string" ], "evaluated_at": "2019-08-24T14:15:22Z", "ethical_framework": { "primary": "veil_of_ignorance", "secondary": [ "veil_of_ignorance" ], "prohibitions": [ "string" ], "policy_ref": "string" }, "signature": { "alg": "string", "kid": "string", "issuer": "string", "issued_at": "2019-08-24T14:15:22Z", "payload_hash": "string", "value": "string" }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}{ "error": { "code": "AGP_INVALID_REQUEST", "message": "string", "retryable": true, "details": {} }}